Bug 907993 (kde-4.10)

Summary: kde-4.10 tracker
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: kde-settingsAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dvratil, jgrulich, jreznik, kevin, ltinkl, mbriza, rdieter, rnovacek, smparrish, than
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-20 19:08:04 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 884836, 884839, 907075, 908920, 909730, 910382, 910383, 910385, 910388, 910481, 910483, 910484, 910485, 910488, 910493, 910494, 910496, 910498, 910499, 910500, 910501, 910502, 910504, 910505, 910507, 910508, 910509, 910510, 910511, 910518, 910519, 910520, 910521, 910526, 910527, 910528, 910529, 910530, 910531, 910532, 910533, 910535, 910536, 910537, 910539, 914941, 920749, 920874    
Bug Blocks: 711719, 848079, 859227, 911959, 913722, 915099    

Description Rex Dieter 2013-02-05 10:45:12 EST
KDE 4.10 tracking bug
Comment 1 Peter G├╝ckel 2013-02-06 22:26:20 EST
kdegames* is 
still stuck at 4.9.5
Comment 2 Kevin Kofler 2013-02-08 23:57:56 EST
Adding qaccessibilityclient because at least kmag complains:

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * qaccessibilityclient  <https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient>
     KDE client-side accessibility library
     Required to enable keyboard focus tracking.
Comment 3 Ali Akcaagac 2013-02-11 10:14:08 EST
Hello

I got informed about this tracker after reading the KDE SIG Mailinglist. Please
note that I am a normal user and therefore like to give some feedback about my
first impressions of KDE 4.10 which I installed from the kde-unstable branch. I
also hope you don't mind me writing a few comments here (bundled in this
tracker), since you didn't gave any more informations how else to deal with it.

When I first downloaded and installed a full kde desktop environment I did the
same approach as I usually would by entering:

yum group install kde-desktop		\
		  kde-apps		\
		  kde-education		\
		  kde-media		\
		  kde-office		\
		  kde-telepathy		

The updateprocess from kde.repo went finde and I was able to use KDE as I would
expect it. Started out with a fresh homedir, so no remaining bits of ancient
KDE (... besides mentioned I had GNOME running before) and here are my
comments. Please note that I only give feedback without valuing anything. My
hope is, that this feedback may help you improve KDE for a better user
experience once it's introduced into Fedora 18 as a KDE 4.9.5 replacement.

- After booting up KDM was blank. It has shown a blue logo and the fields to
  enter username and password was horizontally assigned on the left edge of the
  monitor and the vertical assignement was in the middle. It looked like
  something was missing. Maybe some theming of KDM or some other stuff ? I
  can't exactly say.

- I have an external UMTS USB Stick. I'm ALWAYS with every boot being asked to
  enter the PIN number again. The problems:

  a) Why do I need to repeatly enter it (it doesn't remember the PIN number.
     Comparing it to GNOME with NetworkManager it's indeed possible to have the
     PIN number remembered.

  b) Why is the dialog often not responding ? When I enter username and
     password I usually show up in the KDE desktop after that. Usually I get
     the small dialog asking me to enter the PIN number for the UMTS Stick. At
     the same time usually the notification area pops up telling me about some
     other stuff like updates etc. So I do have two things open. Unfortunately
     it is quite often, that the small dialog which asks me to enter the PIN
     number stays unresponsive. I am not able to enter any numbers nor is it
     possible to close the dialog until something pops up telling me that the
     small dialog (for the PIN number) is not repsonding and if I like to have
     it killed.

- Always and I mean always. Whenever I log into KDE it enables the external
  Monitor by default. I always need to turn it off in the Hardware section of
  the settings. I even saved it as "default" but KDE doesn't care and turns it
  on as default once a reboot happens. This is quite annoying and frustrating.

- If you leave the machine the screen dims. Quite often it won't come back from
  that diming. It stays dimmed and won't get bright anymore OR it takes a while
  until it gets informed that it has to undim the screen again. This can go up
  to 1-2 minutes or more. I once had kded getting killed and it never came back
  from dimming. I had to open konsole and enter kded.

- Left KDE running over night to download some stuff using konsole. At the next
  morning I found KDE frozen up completely. It was not possible to switch to
  console to have the system shut down properly. Lost all KDE settings and lost
  all files downloaded that night due to an introduced fsck after reboot.

- I also found out that there was just one wallpaper (Fedora 18 default)
  installed. I expect, that when I enter the above group install instructions,
  to get a varity of wallpapers to chose from. I really like to have a native
  KDE 4.10 experience with its correct wallpaper, kdm login screen etc.

Here is one point and please don't take this personal:

- KDE is a lot slower than GNOME 3 as a comparison. Both are much slower than
  Xfce. But as soon as there are some file activities in KDE using konsole, the
  system becomes unresponsive. You can't really start other applications,
  access menus or even quit other applications. There is always a gap between x >
  10 seconds and more.

- KDE is sluggish on a low consumer notebook AMD E450 and file processing in
  background. It often halts other applications or Amarok for example ends
  sound output 20-30 seconds after it has been closed. I tested this once I had
  the problem during some file copying using konsole. That the system becomes
  nearly unresponsive. To get responsiveness back I decided to quit Amarok.
  Amarok as an application quits normally (true quit) but the sound continued
  playing for 20-30 seconds until the process ends normally. But this only
  happend when konsole is running in the background copying files from a to b.

- Sometimes you get a blurry field somewhere where some panel bubble pops up.
  It first shows that blurry empty field and seconds later adds the content. I
  tried turining off all kind of graphic fancyness in the settings. It got a
  bit better but overall stays the same slugishness. 3d rendering is enabled
  and I do have the same gfx drivers as I use when running e.g. GNOME.

- After an update of some newer rpm's and reboot I lost all my settings again.
  The bottom panel was entirely empty. But the settings were there in the .kde4
  folder.

- I temporarely went back to GNOME 3 for the time being but wanted to let you
  know about these issues, so I can test KDE 4 again at weekend.

All in all KDE 4 looks good so far, once you get used to it and figured out how
the things work. You really need to investigate some serious time to deal with
KDE. Things are a bit different than known from KDE 3 (the platform I used to
know quite well). But the responsiveness is a big issue and might be dealt with
by using a better compiler like clang ? or better optimization ?

I also welcome the split of kdegames into smaller packages. This makes it
easier for people with small bandwidth (UMTS) to download only the changes
necessary (without presto).
Comment 4 Kevin Kofler 2013-02-11 16:29:34 EST
Please:
* File separate bugs for separate issues! A tracker bug is not a catch-all bug to track many bugs at once. It is impossible that way to keep track of what's fixed yet and what's still open. The way tracker bugs work is that you put REFERENCES to individual bugs on them (under "Depends on"). Issues should never be treated directly in a tracker bug.
* Before filing a bug, check whether there is one already open for the exact same issue. For example, your issue with the external screen sounds like https://bugs.kde.org/show_bug.cgi?id=183143, or our local bug #607180 (which I've just reopened, because the upstream bug is also in reopened state). (By the way, you may want to try kscreen, it is intended to become the default in Fedora 19, and it might make that particular issue go away.)
* Make sure to provide as many details as possible. The harder it is to reproduce your bug, the harder it is to fix it.
* Consider whether your bug isn't better filed directly at the upstream https://bugs.kde.org/ tracker, where it will directly reach upstream KDE developers.
* If and ONLY if the bug is NEW in 4.10 (i.e. it can NOT be reproduced in 4.9.5), add it to the "Depends on:" field of this tracker.

Thanks in advance for your cooperation. Reporting bugs correctly is essential to getting them fixed in a timely manner (or even at all). Sorry, but it is just plain impossible for packagers or developers to work with a huge unsorted list of possible issues.
Comment 5 Kevin Kofler 2013-03-20 19:08:04 EDT
4.10.1 has been pushed to F18 and F17 stable updates, closing this tracker.